Members Move Former Member Files
Moves removed member’s files to a different member. This endpoint initiates an asynchronous job. To obtain the final result of the job, the client should periodically poll members/move_former_member_files/job_status/check.
Permission : Team member management.
Required scope: members.write
Endpoint format: RPC
Authentication: Team
Authentication
AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.
Obtain via the authorization code flow with team-scoped permissions.
Grants access to team-wide administrative operations.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Request
This endpoint expects an object.
transfer_admin_id
Errors during the transfer process will be sent via email to this user.
Variant:
team.UserSelectorArg.team_member_id
transfer_dest_id
Files from the deleted member account will be transferred to this user.
Variant:team.UserSelectorArg.team_member_id
team.UserSelectorArg.team_member_id
user
Identity of user to remove/suspend/have their files moved.
Variant:team.UserSelectorArg.team_member_id
team.UserSelectorArg.team_member_id
Response headers
X-Dropbox-Request-Id
A unique identifier for the request, useful for debugging and support.
Response
Successful response
Variant:async_common.LaunchEmptyResult.async_job_id
async_common.LaunchEmptyResult.async_job_id
This response indicates that the processing is asynchronous. The string is an id that can be used to obtain the status of the asynchronous job.
Errors
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error